summaryrefslogtreecommitdiff
path: root/lib
diff options
context:
space:
mode:
Diffstat (limited to 'lib')
-rw-r--r--lib/history.zsh9
-rw-r--r--lib/nvm.zsh2
2 files changed, 4 insertions, 7 deletions
diff --git a/lib/history.zsh b/lib/history.zsh
index 179c22848..e78a98e9e 100644
--- a/lib/history.zsh
+++ b/lib/history.zsh
@@ -2,12 +2,9 @@
if [ -z "$HISTFILE" ]; then
HISTFILE=$HOME/.zsh_history
fi
-if [ -z "$HISTSIZE" ]; then
- HISTSIZE=10000
-fi
-if [ -z "$SAVEHIST" ]; then
- SAVEHIST=10000
-fi
+
+HISTSIZE=10000
+SAVEHIST=10000
setopt extended_history
setopt hist_expire_dups_first
diff --git a/lib/nvm.zsh b/lib/nvm.zsh
index 5cadf7061..61d997fc0 100644
--- a/lib/nvm.zsh
+++ b/lib/nvm.zsh
@@ -1,6 +1,6 @@
# get the node.js version
function nvm_prompt_info() {
- [ -f $HOME/.nvm/nvm.sh ] || return
+ [ -f "$HOME/.nvm/nvm.sh" ] || return
local nvm_prompt
nvm_prompt=$(node -v 2>/dev/null)
[[ "${nvm_prompt}x" == "x" ]] && return